/*
 *  schedattr.h - new sched_getattr() & sched_setattr() syscall access
 *
 *  Copyright (C) 2014 Christophe Blaess <christophe.blaess@logilin.fr>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef LIB_SCHED_ATTR
#define LIB_SCHED_ATTR

#ifndef SCHED_DEADLINE
#define SCHED_DEADLINE  6

struct sched_attr {
	__uint32_t size;

	__uint32_t sched_policy;
	__uint64_t sched_flags;

	/* SCHED_OTHER */
	__int32_t sched_nice;

	/* SCHED_FIFO, SCHED_RR */
	__uint32_t sched_priority;

	/* SCHED_DEADLINE */
	__uint64_t sched_runtime; 
	__uint64_t sched_deadline;
	__uint64_t sched_period;
};

extern long sched_getattr(pid_t pid, struct sched_attr * attr, unsigned int size, unsigned int flags);


extern long sched_setattr(pid_t pid, struct sched_attr * attr, unsigned int flags);

#endif
#endif
